unit stock_in_header;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,RxDBComb, AlgCtrls, RXDBCtrl, DBCtrls,RxLookup,IBQuery, DB;

type
  TStockInHeaderForm = class(TForm)
    ButtonPanel: TPanel;
    btnOK: TButton;
    btnCancel: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    cbxDOC_KIND: TRxDBComboBox;
    edDOC_DATE: TDBDateEdit;
    cbxSTOC_ACC: TRxDBLookupCombo;
    edDOC_NO: TDBEdit;
    aedACC_ID: TDBAccountEdit;
    edVAT_RATE: TDBEdit;
    refCONTRAGENT: TDBRefEdit;
    edEXCH_RATE_S: TDBEdit;
    cbxLAYER_ID: TDBLayerComboBox;
    edEXCH_RATE_L: TDBEdit;
    edENTRY_DATE: TDBDateEdit;
    cbHAS_ENTRY: TDBCheckBox;
    rgCALC_MODE: TDBRadioGroup;
    qryStocks: TIBQuery;
    dsrStocks: TDataSource;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  StockInHeaderForm: TStockInHeaderForm;

implementation
uses
  stock_in;

{$R *.DFM}

procedure TStockInHeaderForm.FormShow(Sender: TObject);
begin
  qryStocks.Open;
end;

procedure TStockInHeaderForm.btnOKClick(Sender: TObject);
begin
  with StockInForm.qryMaster do
  if InSet(State, MkSet(dsEdit, dsInsert)) then
  begin
    Post;
    RunContext.Documents[0].doc_id := FieldByName('ID').AsInteger;
  end;
  self.ModalResult := mrOK;
end;

procedure TStockInHeaderForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  with StockInForm.qryMaster do
  if InSet(State, MkSet(dsEdit, dsInsert)) then
    Cancel;
end;

end.