unit sale_header;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls,RxDBComb, AlgCtrls, RXDBCtrl, DBCtrls,RxLookup,IBQuery, DB;

type
  TSaleHeaderForm = class(TForm)
    ButtonPanel: TPanel;
    btnOK: TButton;
    btnCancel: TButton;
    Label2: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    edDOC_DATE: TDBDateEdit;
    cbxSTOC_ACC: TRxDBLookupCombo;
    edDOC_NO: TDBEdit;
    edVAT_RATE: TDBEdit;
    refCONTRAGENT: TDBRefEdit;
    edEXCH_RATE_S: TDBEdit;
    cbxLAYER_ID: TDBLayerComboBox;
    edEXCH_RATE_L: TDBEdit;
    edENTRY_DATE: TDBDateEdit;
    cbHAS_ENTRY: TDBCheckBox;
    rgCALC_MODE: TDBRadioGroup;
    qryStocks: TIBQuery;
    dsrStocks: TDataSource;
    Label1: TLabel;
    edPRICE_DISCOUNT: TDBEdit;
    rgPRICE_TYPE: TDBRadioGroup;
    procedure FormShow(Sender: TObject);
    procedure btnOKClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure refCONTRAGENTExecuted(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  SaleHeaderForm: TSaleHeaderForm;

implementation
uses
  sale;

{$R *.DFM}

procedure TSaleHeaderForm.FormShow(Sender: TObject);
begin
  qryStocks.Open;
end;

procedure TSaleHeaderForm.btnOKClick(Sender: TObject);
begin
  with SaleForm.qryMaster do
  if InSet(State, MkSet(dsEdit, dsInsert)) then
  begin
    Post;
    RunContext.Documents[0].doc_id := FieldByName('ID').AsInteger;
  end;
  self.ModalResult := mrOK;
end;

procedure TSaleHeaderForm.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  with SaleForm.qryMaster do
  if InSet(State, MkSet(dsEdit, dsInsert)) then
    Cancel;
end;

procedure TSaleHeaderForm.refCONTRAGENTExecuted(Sender: TObject);
var
  Q: TIBQuery;
begin
  { run-time     }
  Q := TIBQuery.Create(nil);
  try
    Q.Transaction := SaleForm.traCurrent;
    Q.SQL.Text := 'SELECT DISCOUNT FROM FIRM WHERE ID = :ID';
    Q.ParamByName('ID').AsInteger := refCONTRAGENT.Object_ID;
    Q.Open;
    {    }
    SaleForm.qryMaster.FieldByName('PRICE_DISCOUNT').AsCurrency :=
       Q.Fields[0].AsCurrency;
  finally
    Q.Free;
  end;
end;

end.